---
title: "Terminate access token"
url: "https://docs.signnow.com/docs/oauth2/operations/post-oauth2-terminate"
type: "endpoint"
section: "oauth2"
slug: "oauth2/operations/post-oauth2-terminate"
method: "POST"
path: "/oauth2/terminate"
operation_id: "post-oauth2-terminate"
authorization: "bearer"
---

# Terminate access token

`POST /oauth2/terminate`

This endpoint allows users to terminate the current access token from the authorization header. The token will no longer be available for Bearer authentication.


## Authorization

bearer

## Request Body

**Schema**

```json
{
  "type": "object",
  "properties": {}
}
```

## Responses

### 200

Success

### 400

- Incorrect or expired access token.
- Token authentication is missing.


**Example** (`Example 1`)

```json
{
  "error": "invalid_request"
}
```

**Example** (`Token authentication missing`)

```json
{
  "error": "invalid_request"
}
```

**Example** (`Incorrect or expired access token`)

```json
{
  "error": "invalid_token"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/oauth2/terminate" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json"
```

---
*Full reference: https://docs.signnow.com/docs/oauth2/operations/post-oauth2-terminate*
